Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERVisibleString

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DERVisibleString

All Implemented Interfaces:
  DEREncodable, DERString, DERTags

public class DERVisibleString
extends DERObject
implements DERString

DER VisibleString object.

Fields inherited from interface org.bouncycastle.asn1.DERTags
`BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERVisibleString(byte[] string)` basic constructor - byte encoded string.
`DERVisibleString(java.lang.String string)` basic constructor

Method Summary
`boolean` | `equals(java.lang.Object o)`
`static DERVisibleString` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return a Visible String from a tagged object.
`static DERVisibleString` | `getInstance(java.lang.Object obj)` return a Visible String from the passed in object.
`byte[]` | `getOctets()`
`java.lang.String` | `getString()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERVisibleString

    public DERVisibleString(byte[] string)

  basic constructor - byte encoded string.

### DERVisibleString

    public DERVisibleString(java.lang.String string)

  basic constructor

Method Detail

### getInstance

    public static DERVisibleString getInstance(java.lang.Object obj)

  return a Visible String from the passed in object.
  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERVisibleString getInstance(ASN1TaggedObject obj,
                                               boolean explicit)

  return a Visible String from a tagged object.
  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getString

    public java.lang.String getString()

  Specified by:
    `getString` in interface `DERString`

### getOctets

    public byte[] getOctets()

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD